Browse Source

Sync with portage [Wed Jun 23 12:36:45 MSK 2021].

master 2000
root 1 year ago
parent
commit
60ed1cc870
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 103
      app-admin/apache-tools/apache-tools-2.4.46-r1.ebuild
  4. 103
      app-admin/apache-tools/apache-tools-2.4.46.ebuild
  5. 103
      app-admin/apache-tools/apache-tools-2.4.47-r1.ebuild
  6. 103
      app-admin/apache-tools/apache-tools-2.4.47.ebuild
  7. 103
      app-admin/apache-tools/apache-tools-2.4.48-r1.ebuild
  8. 103
      app-admin/apache-tools/apache-tools-2.4.48.ebuild
  9. 1
      app-admin/awscli/Manifest
  10. 58
      app-admin/awscli/awscli-1.19.98.ebuild
  11. 2
      app-admin/diamond/Manifest
  12. 102
      app-admin/diamond/diamond-4.0.515.20170311-r1.ebuild
  13. 84
      app-admin/diamond/diamond-4.0.515.20200620-r1.ebuild
  14. 2
      app-admin/diamond/files/diamond.confd
  15. 24
      app-admin/diamond/files/diamond.initd
  16. 22
      app-admin/diamond/metadata.xml
  17. 1
      app-admin/terraform/Manifest
  18. 1075
      app-admin/terraform/terraform-1.0.0.ebuild
  19. BIN
      app-arch/Manifest.gz
  20. 1
      app-arch/tarlz/Manifest
  21. 8
      app-arch/tarlz/metadata.xml
  22. 27
      app-arch/tarlz/tarlz-0.21.ebuild
  23. BIN
      app-benchmarks/Manifest.gz
  24. 49
      app-benchmarks/stress-ng/stress-ng-0.12.09-r1.ebuild
  25. 48
      app-benchmarks/stress-ng/stress-ng-0.12.09.ebuild
  26. 42
      app-benchmarks/stress-ng/stress-ng-0.12.10-r1.ebuild
  27. 41
      app-benchmarks/stress-ng/stress-ng-0.12.10.ebuild
  28. BIN
      app-crypt/Manifest.gz
  29. 187
      app-crypt/heimdal/heimdal-7.7.0-r1.ebuild
  30. 188
      app-crypt/heimdal/heimdal-7.7.0-r2.ebuild
  31. 133
      app-crypt/johntheripper-jumbo/johntheripper-jumbo-1.9.0-r1.ebuild
  32. 133
      app-crypt/johntheripper-jumbo/johntheripper-jumbo-1.9.0-r2.ebuild
  33. 2
      app-crypt/johntheripper-jumbo/johntheripper-jumbo-9999.ebuild
  34. 167
      app-crypt/mit-krb5/mit-krb5-1.18.2-r3.ebuild
  35. 166
      app-crypt/mit-krb5/mit-krb5-1.18.2-r4.ebuild
  36. 165
      app-crypt/mit-krb5/mit-krb5-1.18.3-r1.ebuild
  37. 164
      app-crypt/mit-krb5/mit-krb5-1.18.3-r2.ebuild
  38. 161
      app-crypt/mit-krb5/mit-krb5-1.19.1-r1.ebuild
  39. 162
      app-crypt/mit-krb5/mit-krb5-1.19.1.ebuild
  40. BIN
      app-emulation/Manifest.gz
  41. 142
      app-emulation/open-vm-tools/open-vm-tools-11.2.0_p16938113-r1.ebuild
  42. 142
      app-emulation/open-vm-tools/open-vm-tools-11.2.0_p16938113-r2.ebuild
  43. 143
      app-emulation/open-vm-tools/open-vm-tools-11.2.5_p17337674-r1.ebuild
  44. 143
      app-emulation/open-vm-tools/open-vm-tools-11.2.5_p17337674.ebuild
  45. 1
      app-emulation/vice/metadata.xml
  46. 131
      app-emulation/vice/vice-3.5.ebuild
  47. BIN
      app-forensics/Manifest.gz
  48. 307
      app-forensics/sleuthkit/sleuthkit-4.10.1-r1.ebuild
  49. 307
      app-forensics/sleuthkit/sleuthkit-4.10.1-r2.ebuild
  50. 303
      app-forensics/sleuthkit/sleuthkit-4.9.0-r1.ebuild
  51. 303
      app-forensics/sleuthkit/sleuthkit-4.9.0.ebuild
  52. BIN
      app-misc/Manifest.gz
  53. 2
      app-misc/OpenRGB/Manifest
  54. 53
      app-misc/OpenRGB/OpenRGB-0.5.ebuild
  55. 58
      app-misc/OpenRGB/OpenRGB-9999.ebuild
  56. 58
      app-misc/carbon-c-relay/carbon-c-relay-3.5-r1.ebuild
  57. 58
      app-misc/carbon-c-relay/carbon-c-relay-3.5.ebuild
  58. 63
      app-misc/carbon-c-relay/carbon-c-relay-3.6-r1.ebuild
  59. 63
      app-misc/carbon-c-relay/carbon-c-relay-3.6.ebuild
  60. 58
      app-misc/carbon-c-relay/carbon-c-relay-3.7.2-r1.ebuild
  61. 58
      app-misc/carbon-c-relay/carbon-c-relay-3.7.2.ebuild
  62. 1
      app-misc/klavaro/klavaro-3.0.1-r1.ebuild
  63. 1
      app-misc/openrgb-plugin-effects/Manifest
  64. 15
      app-misc/openrgb-plugin-effects/metadata.xml
  65. 47
      app-misc/openrgb-plugin-effects/openrgb-plugin-effects-0_p20210619.ebuild
  66. 1
      app-misc/openrgb-plugin-skin/Manifest
  67. 15
      app-misc/openrgb-plugin-skin/metadata.xml
  68. 46
      app-misc/openrgb-plugin-skin/openrgb-plugin-skin-0_p20210601.ebuild
  69. 1
      app-misc/openrgb-plugin-visualmap/Manifest
  70. 15
      app-misc/openrgb-plugin-visualmap/metadata.xml
  71. 47
      app-misc/openrgb-plugin-visualmap/openrgb-plugin-visualmap-0_p20210614.ebuild
  72. 1
      app-misc/openrgb/Manifest
  73. 0
      app-misc/openrgb/files/OpenRGB-0.5-build-system.patch
  74. 0
      app-misc/openrgb/files/OpenRGB-0.6-pkgconf.patch
  75. 24
      app-misc/openrgb/files/OpenRGB-0.6-plugins.patch
  76. 0
      app-misc/openrgb/metadata.xml
  77. 75
      app-misc/openrgb/openrgb-0.6-r1.ebuild
  78. 0
      app-misc/openrgb/openrgb-0.6.ebuild
  79. 76
      app-misc/openrgb/openrgb-9999.ebuild
  80. 159
      app-misc/screen/screen-4.8.0-r2.ebuild
  81. 160
      app-misc/screen/screen-4.8.0-r3.ebuild
  82. 1
      app-misc/screen/screen-9999.ebuild
  83. 1
      app-misc/tmuxp/Manifest
  84. 10
      app-misc/tmuxp/files/tmuxp-1.9.2-relax-click-dep.patch
  85. 13
      app-misc/tmuxp/files/tmuxp-1.9.2-tests.patch
  86. 43
      app-misc/tmuxp/tmuxp-1.9.2.ebuild
  87. BIN
      app-shells/Manifest.gz
  88. 106
      app-shells/tcsh/tcsh-6.22.02-r1.ebuild
  89. 105
      app-shells/tcsh/tcsh-6.22.02.ebuild
  90. 110
      app-shells/tcsh/tcsh-6.22.04-r1.ebuild
  91. 109
      app-shells/tcsh/tcsh-6.22.04.ebuild
  92. BIN
      app-text/Manifest.gz
  93. 1
      app-text/pdfgrep/Manifest
  94. 33
      app-text/pdfgrep/pdfgrep-2.0.1.ebuild
  95. 2
      app-text/qpdf/qpdf-10.3.2.ebuild
  96. BIN
      dev-db/Manifest.gz
  97. 294
      dev-db/mysql-connector-c/files/mysql-connector-c-8.0.25-add-OpenSSL-3.0.0-support.patch
  98. 122
      dev-db/mysql-connector-c/mysql-connector-c-8.0.25-r1.ebuild
  99. 2
      dev-db/mysql/Manifest
  100. 1262
      dev-db/mysql/mysql-5.7.34-r1.ebuild

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

103
app-admin/apache-tools/apache-tools-2.4.46-r1.ebuild

@ -0,0 +1,103 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc64-solaris ~x64-solaris"
IUSE="ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
virtual/libcrypt:=
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config || die
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
local myeconfargs=(
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules
--sbindir="${EPREFIX}"/usr/sbin
--with-perl="${EPREFIX}"/usr/bin/perl
--with-expat="${EPREFIX}"/usr
--with-z="${EPREFIX}"/usr
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-apr-util="${SYSROOT}${EPREFIX}"/usr
--with-pcre="${T}"/pcre-config
$(use_enable ssl)
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG=${PKG_CONFIG} \
econf "${myeconfargs[@]}"
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl ; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

103
app-admin/apache-tools/apache-tools-2.4.46.ebuild

@ -1,103 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc64-solaris ~x64-solaris"
IUSE="ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config || die
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
local myeconfargs=(
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules
--sbindir="${EPREFIX}"/usr/sbin
--with-perl="${EPREFIX}"/usr/bin/perl
--with-expat="${EPREFIX}"/usr
--with-z="${EPREFIX}"/usr
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-apr-util="${SYSROOT}${EPREFIX}"/usr
--with-pcre="${T}"/pcre-config
$(use_enable ssl)
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG=${PKG_CONFIG} \
econf "${myeconfargs[@]}"
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl ; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

103
app-admin/apache-tools/apache-tools-2.4.47-r1.ebuild

@ -0,0 +1,103 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc64-solaris ~x64-solaris"
IUSE="ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
virtual/libcrypt:=
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config || die
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
local myeconfargs=(
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules
--sbindir="${EPREFIX}"/usr/sbin
--with-perl="${EPREFIX}"/usr/bin/perl
--with-expat="${EPREFIX}"/usr
--with-z="${EPREFIX}"/usr
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-apr-util="${SYSROOT}${EPREFIX}"/usr
--with-pcre="${T}"/pcre-config
$(use_enable ssl)
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG="${PKG_CONFIG}" \
econf "${myeconfargs[@]}"
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl ; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

103
app-admin/apache-tools/apache-tools-2.4.47.ebuild

@ -1,103 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc64-solaris ~x64-solaris"
IUSE="ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config || die
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
local myeconfargs=(
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules
--sbindir="${EPREFIX}"/usr/sbin
--with-perl="${EPREFIX}"/usr/bin/perl
--with-expat="${EPREFIX}"/usr
--with-z="${EPREFIX}"/usr
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-apr-util="${SYSROOT}${EPREFIX}"/usr
--with-pcre="${T}"/pcre-config
$(use_enable ssl)
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG="${PKG_CONFIG}" \
econf "${myeconfargs[@]}"
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl ; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

103
app-admin/apache-tools/apache-tools-2.4.48-r1.ebuild

@ -0,0 +1,103 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc64-solaris ~x64-solaris"
IUSE="ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
virtual/libcrypt:=
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config || die
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
local myeconfargs=(
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules
--sbindir="${EPREFIX}"/usr/sbin
--with-perl="${EPREFIX}"/usr/bin/perl
--with-expat="${EPREFIX}"/usr
--with-z="${EPREFIX}"/usr
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-apr-util="${SYSROOT}${EPREFIX}"/usr
--with-pcre="${T}"/pcre-config
$(use_enable ssl)
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG="${PKG_CONFIG}" \
econf "${myeconfargs[@]}"
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl ; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

103
app-admin/apache-tools/apache-tools-2.4.48.ebuild

@ -1,103 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc64-solaris ~x64-solaris"
IUSE="ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config || die
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
local myeconfargs=(
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules
--sbindir="${EPREFIX}"/usr/sbin
--with-perl="${EPREFIX}"/usr/bin/perl
--with-expat="${EPREFIX}"/usr
--with-z="${EPREFIX}"/usr
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-apr-util="${SYSROOT}${EPREFIX}"/usr
--with-pcre="${T}"/pcre-config
$(use_enable ssl)
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG="${PKG_CONFIG}" \
econf "${myeconfargs[@]}"
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl ; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

1
app-admin/awscli/Manifest

@ -18,3 +18,4 @@ DIST awscli-1.19.94.tar.gz 2019028 BLAKE2B 5885322bc03f18829217ab8fca683fbd4c19b
DIST awscli-1.19.95.tar.gz 2019311 BLAKE2B 4ab4901cbc701e5697f5a98e61df401cdcde0b364674c8939788b0177199ee174f6f8ca22c87c11fe8b468bdc3002fc2e521869a5982c4f1bd3b307a986a3351 SHA512 7134cad65f2bfb9068cec5d9939e37fd0e340a82a54d2f100847f5afc50e6d77fae79511f7d0c8eb928c0110f9d05c84917e3605f3dc1807bba939c98734781c
DIST awscli-1.19.96.tar.gz 2019687 BLAKE2B 77ea6eba698a0ea95261741b68416091fe33a1268c5c3d8d52d286e652929e597767ce5a6d5f8012ad0911a8fd7f86b33dadfc4ab1a5087a5a36c8e7e1f41217 SHA512 ba22fd866dc4ce7fe927e2a63fea784514057cc5b3e5259c5d6b73c42d10f68bba9732c4373e6eb4145aedfe6c373e6c5764a2c5ca31ba935cdaba6b31eeeb00
DIST awscli-1.19.97.tar.gz 2020143 BLAKE2B 2dac6f59a04a958b09e0f8b7d056583015762df78ed1349b55c6301d3189e1100bd8ab98445ded3ccc0ddbf1148ddf0475086704f123b0db1ccfd1cacb6b4680 SHA512 4e4e0f34ba02819232427f7571a4b10d22b167788d758c9ac43749607ea7a4c498259fcc5c69fb32d66faffc535a5b3045006168b64506f2b0f9fbbaa804e387
DIST awscli-1.19.98.tar.gz 2020264 BLAKE2B 4a466af94d909ff072ac54631769345fbdcc167012cbef64fc315a2ab9acf0516cad5f684123ffccc64c16e48791bd469f3c30e76317963bbf4ddbdb806934aa SHA512 74e52fd242fd606bff2913fffb3e5a84abea88bf487f110d0b7144cfffd1ccf18c96103bcf88ed94a101689e11b22bf2d1a77cebe09083839ed1f0f8abd00fd1

58
app-admin/awscli/awscli-1.19.98.ebuild

@ -0,0 +1,58 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 distutils-r1
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_tests --install nose
PATCHES=(
"${FILESDIR}"/awscli-1.19.47-py39.patch
)
python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
nosetests -v tests/{functional,unit} ||
die "Tests failed for ${EPYTHON}"
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

2
app-admin/diamond/Manifest

@ -1,2 +0,0 @@
DIST python-diamond-4.0.515.20170311.tar.gz 671963 BLAKE2B 9449f2d27b48c0e24727eb2c415a5095b20199d9315ef69df92a4aa6f8f3397743f3dc6cf2d8d91f79eca309926731b6b42da170a02987a20aeccd1e0980f4ac SHA512 d18a80540018975455b839a78fd55d13d167726b92914e3dc2de1c6f27f47319962361e05961c55047ba185e11ebf57831f3ab5cff9158a50d30a2ca635d53bd
DIST python-diamond-4.0.515.20200620.tar.gz 674623 BLAKE2B eaf290a18a79115fdc013addff5b9d5a5c5b5ce06989c7e3cb8ac5dd988f47878a893ae37a96d1f020dac1aff00ebe191bf27c3d19ac5625afd56cf79451a141 SHA512 5e43aa1bb7acbeaa80db2bbc8e956042104fa9364893b5149bcfa7bff3e00b3667a112243e7a1fad85c1fb1b0c2e2727d0f73fb6851c1959ac95c1854b0c0f76

102
app-admin/diamond/diamond-4.0.515.20170311-r1.ebuild

@ -1,102 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
if [[ ${PV} = 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/python-diamond/Diamond.git"
S=${WORKDIR}/diamond-${PV}
else
GHASH=73207d04e0739a4ce92bc201b36681c42d9fa7e7 # python3 branch
SRC_URI="https://github.com/python-diamond/Diamond/archive/${GHASH}.tar.gz -> python-diamond-${PV}.tar.gz"
KEYWORDS="amd64 x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S=${WORKDIR}/Diamond-${GHASH}
fi
PYTHON_COMPAT=( python3_{7,8} )
inherit distutils-r1 prefix
DESCRIPTION="Python daemon that collects and publishes system metrics"
HOMEPAGE="https://github.com/python-diamond/Diamond"
LICENSE="MIT"
SLOT="0"
IUSE="test mongo mysql snmp redis"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/configobj
dev-python/setproctitle
mongo? ( dev-python/pymongo )
mysql? ( dev-python/mysqlclient )
snmp? ( dev-python/pysnmp )
redis? ( dev-python/redis-py )
!kernel_linux? ( >=dev-python/psutil-3 )"
DEPEND="${RDEPEND}
test? (
dev-python/mock
dev-python/pysnmp
)"
src_prepare() {
# adjust for Prefix
hprefixify bin/diamond*
# fix the version (not set in GitHub archive)
sed -i -e "s/__VERSIONTOKENHERE__/${PV}/" src/diamond/version.py.tmpl || die
echo "${PV}" > version.txt || die
# fix psutil usage
sed -i -e 's/psutil\.network_io_counters/psutil.net_io_counters/' \
src/collectors/network/network.py || die
# fix symlink out of place
rm README.md || die
cp docs/index.md README.md || die
# this module isn't Python3 yet (lambda), if you use this and have a
# fix, let me know
rm src/diamond/handler/rrdtool.py || die
# forgotten conversion
sed -i \
-e 's/import Queue/import queue/' \
-e 's/Queue\.Full/queue.Full/' \
src/diamond/handler/queue.py || die
# fix usage of map as list
sed -i \
-e '/paths = map(str.strip, paths)/d' \
src/diamond/utils/classes.py || die
# send data as bytes
sed -i \
-e '/self.socket.sendall/s/data/str.encode(data)/' \
src/diamond/handler/graphite.py || die
distutils-r1_src_prepare
}
python_test() {
# don't want to depend on docker for just this
mv src/collectors/docker_collector/test/{test,no}docker_collector.py || die
# fails on binding ports
mv src/collectors/portstat/tests/{test,no}_portstat.py || die
"${PYTHON}" ./test.py || die "Tests fail with ${PYTHON}"
}
python_install() {
export VIRTUAL_ENV=1
distutils-r1_python_install
python_optimize
mv "${ED}"/usr/etc "${ED}"/ || die
rm "${ED}"/etc/diamond/*.windows # won't need these
sed -i \
-e '/pid_file =/s:/var/run:/run:' \
"${ED}"/etc/diamond/diamond.conf.example || die
hprefixify "${ED}"/etc/diamond/diamond.conf.example
}
src_install() {
distutils-r1_src_install
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}
keepdir /var/log/diamond
}

84
app-admin/diamond/diamond-4.0.515.20200620-r1.ebuild

@ -1,84 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
if [[ ${PV} = 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/grobian/Diamond.git"
EGIT_BRANCH="python3"
S=${WORKDIR}/diamond-${PV}
else
GHASH=8d8a2e49d80d44968a34d43e36c1d864695a29c1 # from python3 branch
SRC_URI="https://github.com/grobian/Diamond/archive/${GHASH}.tar.gz -> python-diamond-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S=${WORKDIR}/Diamond-${GHASH}
fi
PYTHON_COMPAT=( python3_{7,8} )
inherit distutils-r1 prefix
DESCRIPTION="Python daemon that collects and publishes system metrics"
HOMEPAGE="https://github.com/python-diamond/Diamond"
LICENSE="MIT"
SLOT="0"
IUSE="test mongo mysql snmp redis"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/configobj
dev-python/setproctitle
mongo? ( dev-python/pymongo )
mysql? ( dev-python/mysqlclient )
snmp? ( dev-python/pysnmp )
redis? ( dev-python/redis-py )
!kernel_linux? ( >=dev-python/psutil-3 )
kernel_linux? ( sys-process/psmisc )"
DEPEND="${RDEPEND}
test? ( dev-python/mock )"
src_prepare() {
# adjust for Prefix
hprefixify bin/diamond*
# fix the version (not set in GitHub archive)
sed -i -e "s/__VERSIONTOKENHERE__/${PV}/" src/diamond/version.py.tmpl || die
echo "${PV}" > version.txt || die
# fix symlink out of place
rm README.md || die
cp docs/index.md README.md || die
# this module isn't Python3 yet (lambda), if you use this and have a
# fix, let me know
rm src/diamond/handler/rrdtool.py || die
distutils-r1_src_prepare
}
python_test() {
"${PYTHON}" ./test.py || die "Tests fail with ${PYTHON}"
}
python_install() {
export VIRTUAL_ENV=1
distutils-r1_python_install
python_optimize
# since python3.8 installation goes straight into /etc
[[ -d ${ED}/etc ]] && [[ -d ${ED}/usr/etc ]] && rm -Rf "${ED}"/usr/etc
if [[ -d ${ED}/usr/etc ]] ; then
mv "${ED}"/usr/etc "${ED}"/ || die
fi
rm "${ED}"/etc/diamond/*.windows # won't need these
sed -i \
-e '/pid_file =/s:/var/run:/run:' \
"${ED}"/etc/diamond/diamond.conf.example || die
hprefixify "${ED}"/etc/diamond/diamond.conf.example
}
src_install() {
distutils-r1_src_install
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}
keepdir /var/log/diamond
}

2
app-admin/diamond/files/diamond.confd

@ -1,2 +0,0 @@
# command line options for running diamond
DIAMOND_OPTS=

24
app-admin/diamond/files/diamond.initd

@ -1,24 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
depend() {
need net
}
start() {
ebegin "Starting ${SVCNAME}"
start-stop-daemon --start --exec /usr/bin/diamond --pidfile /run/${SVCNAME}.pid -- -c /etc/diamond/${SVCNAME}.conf ${DIAMOND_OPTS}
eend $?
}
stop() {
ebegin "Stopping ${SVCNAME}"
#start-stop-daemon --stop -R 80 --pidfile /run/${SVCNAME}.pid
# diamond doesn't kill its children, so work around that for now
pid=$(< /run/${SVCNAME}.pid)
if [ -n ${pid} ] && [ ${pid} -gt 1 ] ; then
pstree -Tp ${pid} | grep -o '([0-9]\+)' | tr '()' ' ' | xargs kill
fi
eend $?
}

22
app-admin/diamond/metadata.xml

@ -1,22 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>grobian@gentoo.org</email>
<name>Fabian Groffen</name>
</maintainer>
<longdescription lang="en">
Diamond is a python daemon that collects system metrics and
publishes them to Graphite (and others). It is capable of
collecting cpu, memory, network, i/o, load and disk metrics.
Additionally, it features an API for implementing custom
collectors for gathering metrics from almost any source.
</longdescription>
<use>
<flag name="mongo">Enable MongoDB support</flag>
<flag name="redis">Enable Redis support</flag>
</use>
<upstream>
<remote-id type="github">python-diamond/Diamond</remote-id>
</upstream>
</pkgmetadata>

1
app-admin/terraform/Manifest

@ -1154,3 +1154,4 @@ DIST terraform-0.15.1.tar.gz 2817442 BLAKE2B 04cf7864bd4e55a5277dc973cd2c90f5b86
DIST terraform-0.15.3.tar.gz 2855131 BLAKE2B 6863efe47f3cb41ded85bd2e3f432f57bd7641530def457be9c0b401cb56e8261687db102cf711b6645ad9987063875afef14f1e9e76a238028ed3e62f9ff5cb SHA512 66ce8b1d0f727326905011f366860db3f63b1c51d55b9b279f1d39462532e0a1a20b2be0f9fb839a21453c459de0a6e38951328e5e136444ae281dcc13675b04
DIST terraform-0.15.4.tar.gz 2880141 BLAKE2B 92c9a5129c1fff69e7e1bc1953251189a403f457a6e39524ab4cf60eb7fd61f83da381c033d5f9cf94d57888b74cb45f8c909c3ba69429866bb67215961cdc55 SHA512 42282731ab6c6b6c6274ab4ef02f3de9015368cb645b85118cf51a9f6c9efaedbbeafe6606692c58091bc72620e6778f4dd97219cfba5fde6c63ef77b421cf1b
DIST terraform-0.15.5.tar.gz 2885932 BLAKE2B 997ae485ff395d2174ef2265559cff4321545e63b1b7f7eba55da6b1cacfa4c5922eaf75dea220688a126bb7f1b093f884cb67e60bea1de943a9d715b9a7daf2 SHA512 d8636e2adfca58be42f88469759aede0f2d71b824fea187d67ef198d21742bc0198ad721f636f166523e0b7a92f10fdea9b445ff142464a148888110bd10a8de
DIST terraform-1.0.0.tar.gz 2877484 BLAKE2B d0bc897394e59143a432f6aca7fe4e48905b085b0fa2e7c0c72767f6b11fe3db1206d5878280f051bad415a7f2fca4ef47dcffe87180fd90e2fce10ec6f7b061 SHA512 93fd3a00b2d016d45abe1cf82acbf7065bef5c3216c36d3e04079b681aca9515f9f3a589aedff3284ee62a97f43bbbf806584f2427ed87679a0daa40502d50bd

1075
app-admin/terraform/terraform-1.0.0.ebuild
File diff suppressed because it is too large
View File

BIN
app-arch/Manifest.gz

1
app-arch/tarlz/Manifest

@ -0,0 +1 @@
DIST tarlz-0.21.tar.lz 104780 BLAKE2B c3aacda3e8ab25757758d811d9cdc153777835950436dbb4827cf75d801f6c3035475330512a2657a8c9733f6afdf452d9689d7d72d11ba8ef968fceab671ed4 SHA512 1ad671da7ee115762163af57aad69ec754753e68a99ef8c4f38e880ecbb75a5b021f38794390eabcdbef4963cbc0c0e2abe36011da4135baf2c21dc22f020f4a

8
app-arch/tarlz/metadata.xml

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>flow@gentoo.org</email>
<name>Florian Schmaus</name>
</maintainer>
</pkgmetadata>

27
app-arch/tarlz/tarlz-0.21.ebuild

@ -0,0 +1,27 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs unpacker
DESCRIPTION="A parallel archiver combining tar and lzip"
HOMEPAGE="https://www.nongnu.org/lzip/tarlz.html"
SRC_URI="https://download.savannah.gnu.org/releases/lzip/${PN}/${P}.tar.lz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND=">=app-arch/lzlib-1.12:0="
DEPEND="${RDEPEND}"
BDEPEND="$(unpacker_src_uri_depends)"
src_configure() {
econf \
CXX="$(tc-getCXX)" \
CXXFLAGS="${CXXFLAGS}" \
CPPFLAGS="${CPPFLAGS}" \
LDFLAGS="${LDFLAGS}"
}

BIN
app-benchmarks/Manifest.gz

49
app-benchmarks/stress-ng/stress-ng-0.12.09-r1.ebuild

@ -0,0 +1,49 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit optfeature toolchain-funcs
DESCRIPTION="Stress test for a computer system with various selectable ways"
HOMEPAGE="https://kernel.ubuntu.com/~cking/stress-ng/"
SRC_URI="https://kernel.ubuntu.com/~cking/tarballs/${PN}/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
DEPEND="
dev-libs/libaio
dev-libs/libbsd
dev-libs/libgcrypt:0=
sys-apps/attr
sys-apps/keyutils:=
sys-libs/libcap
sys-libs/zlib
virtual/libcrypt:=
"
RDEPEND="${DEPEND}"
DOCS=( "README" "README.Android" "TODO" "syscalls.txt" )
src_prepare() {
default
# Don't reset build jobs to '-j0'
sed -e '/-f Makefile.config/s/-j//' -i Makefile || die
}
src_compile() {
export MAN_COMPRESS=0
export VERBOSE=1
tc-export CC
default
}
pkg_postinst() {
optfeature "AppArmor support" sys-libs/libapparmor
optfeature "SCTP support" net-misc/lksctp-tools
}

48
app-benchmarks/stress-ng/stress-ng-0.12.09.ebuild

@ -1,48 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit optfeature toolchain-funcs
DESCRIPTION="Stress test for a computer system with various selectable ways"
HOMEPAGE="https://kernel.ubuntu.com/~cking/stress-ng/"
SRC_URI="https://kernel.ubuntu.com/~cking/tarballs/${PN}/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
DEPEND="
dev-libs/libaio
dev-libs/libbsd
dev-libs/libgcrypt:0=
sys-apps/attr
sys-apps/keyutils:=
sys-libs/libcap
sys-libs/zlib
"
RDEPEND="${DEPEND}"
DOCS=( "README" "README.Android" "TODO" "syscalls.txt" )
src_prepare() {
default
# Don't reset build jobs to '-j0'
sed -e '/-f Makefile.config/s/-j//' -i Makefile || die
}
src_compile() {
export MAN_COMPRESS=0
export VERBOSE=1
tc-export CC
default
}
pkg_postinst() {
optfeature "AppArmor support" sys-libs/libapparmor
optfeature "SCTP support" net-misc/lksctp-tools
}

42
app-benchmarks/stress-ng/stress-ng-0.12.10-r1.ebuild

@ -0,0 +1,42 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit optfeature toolchain-funcs
DESCRIPTION="Stress test for a computer system with various selectable ways"
HOMEPAGE="https://kernel.ubuntu.com/~cking/stress-ng/"
SRC_URI="https://kernel.ubuntu.com/~cking/tarballs/${PN}/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
DEPEND="
dev-libs/libaio
dev-libs/libbsd
dev-libs/libgcrypt:0=
sys-apps/attr
sys-apps/keyutils:=
sys-libs/libcap
sys-libs/zlib
virtual/libcrypt:=
"
RDEPEND="${DEPEND}"
DOCS=( "README" "README.Android" "TODO" "syscalls.txt" )
src_compile() {
export MAN_COMPRESS=0
export VERBOSE=1
tc-export CC
default
}
pkg_postinst() {
optfeature "AppArmor support" sys-libs/libapparmor
optfeature "SCTP support" net-misc/lksctp-tools
}

41
app-benchmarks/stress-ng/stress-ng-0.12.10.ebuild

@ -1,41 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit optfeature toolchain-funcs
DESCRIPTION="Stress test for a computer system with various selectable ways"
HOMEPAGE="https://kernel.ubuntu.com/~cking/stress-ng/"
SRC_URI="https://kernel.ubuntu.com/~cking/tarballs/${PN}/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
DEPEND="
dev-libs/libaio
dev-libs/libbsd
dev-libs/libgcrypt:0=
sys-apps/attr
sys-apps/keyutils:=
sys-libs/libcap
sys-libs/zlib
"
RDEPEND="${DEPEND}"
DOCS=( "README" "README.Android" "TODO" "syscalls.txt" )
src_compile() {
export MAN_COMPRESS=0
export VERBOSE=1
tc-export CC
default
}
pkg_postinst() {
optfeature "AppArmor support" sys-libs/libapparmor
optfeature "SCTP support" net-misc/lksctp-tools
}

BIN
app-crypt/Manifest.gz

187
app-crypt/heimdal/heimdal-7.7.0-r1.ebuild

@ -1,187 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
VIRTUALX_REQUIRED="manual"
inherit autotools db-use multilib multilib-minimal python-any-r1 virtualx flag-o-matic
MY_P="${P}"
DESCRIPTION="Kerberos 5 implementation from KTH"
HOMEPAGE="http://www.h5l.org/"
SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 sparc x86"
IUSE="afs +berkdb caps gdbm hdb-ldap +lmdb otp selinux ssl static-libs test X"
RESTRICT="!test? ( test )"
CDEPEND="
ssl? (
>=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}]
)
berkdb? ( >=sys-libs/db-4.8.30-r1:*[${MULTILIB_USEDEP}] )
gdbm? ( >=sys-libs/gdbm-1.10-r1:=[${MULTILIB_USEDEP}] )
lmdb? ( dev-db/lmdb )
caps? ( sys-libs/libcap-ng )
>=dev-db/sqlite-3.8.2[${MULTILIB_USEDEP}]
>=sys-libs/e2fsprogs-libs-1.42.9[${MULTILIB_USEDEP}]
sys-libs/ncurses:0=
>=sys-libs/readline-6.2_p5-r1:0=[${MULTILIB_USEDEP}]
afs? ( net-fs/openafs )
hdb-ldap? ( >=net-nds/openldap-2.3.0 )
X? (
x11-libs/libX11
x11-libs/libXau
x11-libs/libXt
)
!!app-crypt/mit-krb5
!!app-crypt/mit-krb5-appl"
DEPEND="${CDEPEND}
${PYTHON_DEPS}
dev-perl/JSON
virtual/pkgconfig
sys-apps/texinfo
>=sys-devel/autoconf-2.62
test? ( X? ( ${VIRTUALX_DEPEND} ) )"
RDEPEND="${CDEPEND}
selinux? ( sec-policy/selinux-kerberos )"
MULTILIB_WRAPPED_HEADERS=(
/usr/include/krb5-types.h
/usr/include/cms_asn1.h
/usr/include/digest_asn1.h
/usr/include/hdb_asn1.h
/usr/include/krb5_asn1.h
/usr/include/pkcs12_asn1.h
/usr/include/pkinit_asn1.h
/usr/include/rfc2459_asn1.h
)
MULTILIB_CHOST_TOOLS=(
/usr/bin/krb5-config
)
PATCHES=(
"${FILESDIR}/heimdal_disable-check-iprop.patch"
"${FILESDIR}/heimdal_tinfo.patch"
"${FILESDIR}/heimdal_hcrypto.patch"
"${FILESDIR}/heimdal_build-headers-before-use.patch"
"${FILESDIR}/heimdal_fix-db60.patch"
"${FILESDIR}/heimdal_fix-autoconf-2.70.patch"
)
src_prepare() {
default
eautoreconf
}
src_configure() {
# QA
append-flags -fno-strict-aliasing
multilib-minimal_src_configure
}
multilib_src_configure() {
local myeconfargs=(
--enable-kcm
--disable-osfc2
--enable-shared
--with-libintl="${EPREFIX}"/usr
--with-readline="${EPREFIX}"/usr
--with-sqlite3="${EPREFIX}"/usr
--libexecdir="${EPREFIX}"/usr/sbin
--enable-pthread-support
--enable-kx509
--enable-pk-init
--with-ipv6
$(use_enable afs afs-support)
$(use_enable gdbm ndbm-db)
$(use_enable lmdb mdb-db)
$(use_enable otp)
$(use_enable static-libs static)
$(multilib_native_use_with caps capng)
$(multilib_native_use_with hdb-ldap openldap "${EPREFIX}"/usr)
$(use_with ssl openssl "${EPREFIX}"/usr)
$(multilib_native_use_with X x)
)
if use berkdb; then
myeconfargs+=(
--with-berkeley-db
--with-berkeley-db-include="$(db_includedir)"
)
else
myeconfargs+=(
--without-berkeley-db
)
fi
ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
}
multilib_src_compile() {
if multilib_is_native_abi; then
emake
else
emake -C include
emake -C lib
emake -C kdc
emake -C tools
emake -C tests/plugin
fi
}
multilib_src_test() {
multilib_is_native_abi && emake -j1 check
}
multilib_src_install() {
if multilib_is_native_abi; then
INSTALL_CATPAGES="no" emake DESTDIR="${D}" install
else
emake -C include DESTDIR="${D}" install
emake -C lib DESTDIR="${D}" install
emake -C kdc DESTDIR="${D}" install
emake -C tools DESTDIR="${D}" install
emake -C tests/plugin DESTDIR="${D}" install
fi
}
multilib_src_install_all() {
dodoc ChangeLog* README NEWS TODO
# client rename
mv "${ED}"/usr/share/man/man1/{,k}su.1
mv "${ED}"/usr/bin/{,k}su
newinitd "${FILESDIR}"/heimdal-kdc.initd-r2 heimdal-kdc
newinitd "${FILESDIR}"/heimdal-kadmind.initd-r2 heimdal-kadmind
newinitd "${FILESDIR}"/heimdal-kpasswdd.initd-r2 heimdal-kpasswdd
newinitd "${FILESDIR}"/heimdal-kcm.initd-r1 heimdal-kcm
newconfd "${FILESDIR}"/heimdal-kdc.confd heimdal-kdc
newconfd "${FILESDIR}"/heimdal-kadmind.confd heimdal-kadmind
newconfd "${FILESDIR}"/heimdal-kpasswdd.confd heimdal-kpasswdd
newconfd "${FILESDIR}"/heimdal-kcm.confd heimdal-kcm
insinto /etc
newins "${S}"/krb5.conf krb5.conf.example
if use hdb-ldap; then
insinto /etc/openldap/schema
doins "${S}/lib/hdb/hdb.schema"
fi
if ! use static-libs ; then
find "${ED}" -name "*.la" -delete || die
fi
# default database dir
keepdir /var/heimdal
}

188
app-crypt/heimdal/heimdal-7.7.0-r2.ebuild

@ -0,0 +1,188 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
VIRTUALX_REQUIRED="manual"
inherit autotools db-use multilib multilib-minimal python-any-r1 virtualx flag-o-matic
MY_P="${P}"
DESCRIPTION="Kerberos 5 implementation from KTH"
HOMEPAGE="http://www.h5l.org/"
SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 sparc x86"
IUSE="afs +berkdb caps gdbm hdb-ldap +lmdb otp selinux ssl static-libs test X"
RESTRICT="!test? ( test )"
CDEPEND="
virtual/libcrypt:=[${MULTILIB_USEDEP}]
ssl? (
>=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}]
)
berkdb? ( >=sys-libs/db-4.8.30-r1:*[${MULTILIB_USEDEP}] )
gdbm? ( >=sys-libs/gdbm-1.10-r1:=[${MULTILIB_USEDEP}] )
lmdb? ( dev-db/lmdb )
caps? ( sys-libs/libcap-ng )
>=dev-db/sqlite-3.8.2[${MULTILIB_USEDEP}]
>=sys-libs/e2fsprogs-libs-1.42.9[${MULTILIB_USEDEP}]
sys-libs/ncurses:0=
>=sys-libs/readline-6.2_p5-r1:0=[${MULTILIB_USEDEP}]
afs? ( net-fs/openafs )
hdb-ldap? ( >=net-nds/openldap-2.3.0 )
X? (
x11-libs/libX11
x11-libs/libXau
x11-libs/libXt
)
!!app-crypt/mit-krb5
!!app-crypt/mit-krb5-appl"
DEPEND="${CDEPEND}
${PYTHON_DEPS}
dev-perl/JSON
virtual/pkgconfig
sys-apps/texinfo
>=sys-devel/autoconf-2.62
test? ( X? ( ${VIRTUALX_DEPEND} ) )"
RDEPEND="${CDEPEND}
selinux? ( sec-policy/selinux-kerberos )"
MULTILIB_WRAPPED_HEADERS=(
/usr/include/krb5-types.h
/usr/include/cms_asn1.h
/usr/include/digest_asn1.h
/usr/include/hdb_asn1.h
/usr/include/krb5_asn1.h
/usr/include/pkcs12_asn1.h
/usr/include/pkinit_asn1.h
/usr/include/rfc2459_asn1.h
)
MULTILIB_CHOST_TOOLS=(
/usr/bin/krb5-config
)
PATCHES=(
"${FILESDIR}/heimdal_disable-check-iprop.patch"
"${FILESDIR}/heimdal_tinfo.patch"
"${FILESDIR}/heimdal_hcrypto.patch"
"${FILESDIR}/heimdal_build-headers-before-use.patch"
"${FILESDIR}/heimdal_fix-db60.patch"
"${FILESDIR}/heimdal_fix-autoconf-2.70.patch"
)
src_prepare() {
default
eautoreconf
}
src_configure() {
# QA
append-flags -fno-strict-aliasing
multilib-minimal_src_configure
}
multilib_src_configure() {
local myeconfargs=(
--enable-kcm
--disable-osfc2
--enable-shared
--with-libintl="${EPREFIX}"/usr
--with-readline="${EPREFIX}"/usr
--with-sqlite3="${EPREFIX}"/usr
--libexecdir="${EPREFIX}"/usr/sbin
--enable-pthread-support
--enable-kx509
--enable-pk-init
--with-ipv6
$(use_enable afs afs-support)
$(use_enable gdbm ndbm-db)
$(use_enable lmdb mdb-db)
$(use_enable otp)
$(use_enable static-libs static)
$(multilib_native_use_with caps capng)
$(multilib_native_use_with hdb-ldap openldap "${EPREFIX}"/usr)
$(use_with ssl openssl "${EPREFIX}"/usr)
$(multilib_native_use_with X x)
)
if use berkdb; then
myeconfargs+=(
--with-berkeley-db
--with-berkeley-db-include="$(db_includedir)"
)
else
myeconfargs+=(
--without-berkeley-db
)
fi
ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
}
multilib_src_compile() {
if multilib_is_native_abi; then
emake
else
emake -C include
emake -C lib
emake -C kdc
emake -C tools
emake -C tests/plugin
fi
}
multilib_src_test() {
multilib_is_native_abi && emake -j1 check
}
multilib_src_install() {
if multilib_is_native_abi; then
INSTALL_CATPAGES="no" emake DESTDIR="${D}" install
else
emake -C include DESTDIR="${D}" install
emake -C lib DESTDIR="${D}" install
emake -C kdc DESTDIR="${D}" install
emake -C tools DESTDIR="${D}" install
emake -C tests/plugin DESTDIR="${D}" install
fi
}
multilib_src_install_all() {
dodoc ChangeLog* README NEWS TODO
# client rename
mv "${ED}"/usr/share/man/man1/{,k}su.1
mv "${ED}"/usr/bin/{,k}su
newinitd "${FILESDIR}"/heimdal-kdc.initd-r2 heimdal-kdc
newinitd "${FILESDIR}"/heimdal-kadmind.initd-r2 heimdal-kadmind
newinitd "${FILESDIR}"/heimdal-kpasswdd.initd-r2 heimdal-kpasswdd
newinitd "${FILESDIR}"/heimdal-kcm.initd-r1 heimdal-kcm
newconfd "${FILESDIR}"/heimdal-kdc.confd heimdal-kdc
newconfd "${FILESDIR}"/heimdal-kadmind.confd heimdal-kadmind
newconfd "${FILESDIR}"/heimdal-kpasswdd.confd heimdal-kpasswdd
newconfd "${FILESDIR}"/heimdal-kcm.confd heimdal-kcm
insinto /etc
newins "${S}"/krb5.conf krb5.conf.example
if use hdb-ldap; then
insinto /etc/openldap/schema
doins "${S}/lib/hdb/hdb.schema"
fi
if ! use static-libs ; then
find "${ED}" -name "*.la" -delete || die
fi
# default database dir
keepdir /var/heimdal
}

133
app-crypt/johntheripper-jumbo/johntheripper-jumbo-1.9.0-r1.ebuild

@ -1,133 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic toolchain-funcs pax-utils
DESCRIPTION="fast password cracker"
HOMEPAGE="http://www.openwall.com/john/"
MY_PN="JohnTheRipper"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/magnumripper/${MY_PN}.git"
inherit git-r3
else
JUMBO="jumbo-1"
MY_PV="${PV}-${JUMBO}"
MY_P="john-${MY_PV}"
SRC_URI="https://www.openwall.com/john/k/${MY_P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
S="${WORKDIR}/${MY_P}"
fi
LICENSE="GPL-2"
SLOT="0"
#removed rexgen and commoncrypto
IUSE="custom-cflags kerberos mpi opencl openmp pcap"
DEPEND=">=dev-libs/openssl-1.0.1:0
mpi? ( virtual/mpi )
opencl? ( virtual/opencl )
kerberos? ( virtual/krb5 )
pcap? ( net-libs/libpcap )
dev-libs/gmp:*
sys-libs/zlib
app-arch/bzip2"
RDEPEND="${DEPEND}
!app-crypt/johntheripper"
PATCHES=( "${FILESDIR}/${P}-opencl-fix.patch" )
pkg_setup() {
if use openmp && [[ ${MERGE_TYPE} != binary ]]; then
tc-has-openmp || die "Please switch to an openmp compatible compiler"
fi
}
src_prepare() {
sed -i 's#$prefix/share/john#/etc/john#' src/configure || die
default
}
src_configure() {
cd src || die
use custom-cflags || strip-flags
append-cflags -fcommon
econf \
--disable-native-march \
--disable-native-tests \
--without-commoncrypto \
--disable-rexgen \
--with-openssl \
--with-systemwide \
$(use_enable mpi) \
$(use_enable opencl) \
$(use_enable openmp) \
$(use_enable pcap)
}
src_compile() {
emake -C src
}
src_test() {
pax-mark -mr run/john
#if use opencl; then
#gpu tests fail in portage, so run cpu only tests
# ./run/john --device=cpu --test=0 --verbosity=2 || die
#else
#weak tests
# ./run/john --test=0 --verbosity=2 || die
#strong tests
#./run/john --test=1 --verbosity=2 || die
#fi
ewarn "When built systemwide, john can't run tests without reading files in /etc."
ewarn "Don't bother opening a bug for this unless you include a patch to fix it"
}
src_install() {
# executables